





<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Test Results</title>
        <link rel="apple-touch-icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
        <link rel="shortcut icon" href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/commons/img/logo.png">
	    <link href="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@74cc0d02f0116d1b5665bd07f6aea22c71033efe/spark/css/spark-style.css" rel="stylesheet" />
        <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
<style type="text/css">

</style></head>    <script src="https://cdn.rawgit.com/extent-framework/extent-github-cdn/7cc78ce/spark/js/jsontree.js"></script>
<body class="spa -report standard">
    <div class="app header-dark side-nav-folded">
        <div class="layout">
<div class="header navbar">
    <div class="header-container">
        <div class="nav-logo">
          <a href="index.html">
            <div class="logo logo-dark" style="background-image: url('https://cdn.rawgit.com/extent-framework/extent-github-cdn/d74480e/commons/img/logo.png')"></div>
            <div class="logo logo-white" style="background-image: url('https://cdn.rawgit.com/extent-framework/extent-github-cdn/d74480e/commons/img/logo.png')"></div>
          </a>
        </div>
        <ul class="nav-left">
          <li>
            <a class="sidenav-fold-toggler" href="javascript:void(0);">
              <i class="fa fa-bars"></i>
            </a>
            <a class="sidenav-expand-toggler" href="javascript:void(0);">
              <i class="fa fa-bars"></i>
            </a>
          </li>
          <li class="search-box">
            <a class="search-toggle" href="javascript:void(0);">
              <i class="search-icon fa fa-search"></i>
              <i class="search-icon-close fa fa-close"></i>
            </a>
          </li>
          <li class="search-input">
            <input id="search-tests" class="form-control" type="text" placeholder="Type to search...">
          </li>
        </ul>
        <ul class="nav-right">
          <li class="m-r-10">
            <a href="#">
              <span class="badge badge-primary">Web Automation Results</span>
            </a>
          </li>
            <li class="m-r-10">
                <a href="#">
                    <span class="badge badge-primary">Dec 19, 2021 06:43:05 PM</span>
                </a>
            </li>
        </ul>
    </div>
</div><div class="side-nav side-nav-folded">
  <div class="side-nav-inner">
    <ul class="side-nav-menu scrollable">
      <li class="nav-item dropdown" onclick="toggleView('test-view')">
        <a id="nav-test" class="dropdown-toggle" href="index.html">
          <span class="icon-holder">
            <i class="fa fa-align-left"></i>
          </span>
          <span class="title">Tests</span>
        </a>
      </li>
            <li class="nav-item dropdown" onclick="toggleView('exception-view')">
        <a id="nav-ex" class="dropdown-toggle" href="exception.html">
          <span class="icon-holder">
            <i class="fa fa-bug"></i>
          </span>
          <span class="title">Exception</span>
        </a>
      </li>
      <li class="nav-item dropdown" onclick="toggleView('dashboard-view')">
        <a id="nav-dashboard" class="dropdown-toggle" href="dashboard.html">
          <span class="icon-holder">
            <i class="fa fa-bar-chart"></i>
          </span>
          <span class="title">Dashboard</span>
        </a>
      </li>
    </ul>
  </div>
</div>            <div class="page-container">
                <div class="main-content">
<div class="test-wrapper row test-view">
	<div class="test-list">
		<div class="test-list-tools">
			<ul class="tools pull-left">
				<li>
					<a href="">
					<span class="font-size-14">Tests</span>
					</a>
				</li>
			</ul>
			<ul class="tools text-right">
				<li class="user-profile dropdown dropdown-animated scale-left">
					<a href="#" class="dropdown-toggle" data-toggle="dropdown">
					<i class="fa fa-exclamation-circle"></i>
					</a>
					<ul id="status-toggle" class="dropdown-menu dropdown-md p-v-0">
						<a class="dropdown-item" status="pass" href="#"><span>Pass</span><span class="status success pull-right"></span></a>
						<a class="dropdown-item" status="fail" href="#"><span>Fail</span><span class="status danger pull-right"></span></a>
						
						
						
						
						<div class="dropdown-divider"></div>
						<a status="clear" class="dropdown-item" href="#"><span>Clear</span><span class="pull-right"><i class="fa fa-close"></i></span></a>
					</ul>
				</li>
			</ul>
		</div>
		<div class="test-list-wrapper scrollable">
			<ul class="test-list-item">
				<li class="test-item"  status="pass" test-id="1"
					author=""
					tag=""
					device="">
					<div class="status-avatar pass-bg">
						<i class="fa fa-check text-white"></i>
					</div>
					<div class="open-test">
						<div class="test-detail">
							<p class="name">initialize</p>
							<p class="duration text-sm">0h 0m 2s+891ms</p>
							<span class="datetime">18:43:29 PM</span>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="detail-head">
							<div class="p-v-10 d-inline-block">
								<div class="info">
									<h5 class="test-status text-pass">initialize</h5>
									<span class='badge badge-success'>12.19.2021 18:43:29</span>
									<span class='badge badge-danger'>12.19.2021 18:43:32</span>
									<span class='badge badge-default'>0h 0m 2s+891ms</span>
								</div>
								<div class="m-t-10 m-l-5">
									
								</div>
							</div>
						</div>
<div class="detail-body mt-4">                                              
<table class="table table-sm">
	<thead><tr>
		<th class="status-col">Status</th>
		<th class="timestamp-col">Timestamp</th>
		<th class="details-col">Details</th>
	</tr></thead>
	<tbody>
			<tr class="event-row">
				<td><i class="fa fa-check text-pass"></i></td>
				<td>6:43:32 PM</td>
				<td>
						Test Passed
				</td>
			</tr>
	</tbody>
</table>
</div>
					</div>
				</li>
				<li class="test-item"  status="pass" test-id="2"
					author=""
					tag=""
					device="">
					<div class="status-avatar pass-bg">
						<i class="fa fa-check text-white"></i>
					</div>
					<div class="open-test">
						<div class="test-detail">
							<p class="name">validateAppTitle</p>
							<p class="duration text-sm">0h 0m 0s+65ms</p>
							<span class="datetime">18:43:32 PM</span>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="detail-head">
							<div class="p-v-10 d-inline-block">
								<div class="info">
									<h5 class="test-status text-pass">validateAppTitle</h5>
									<span class='badge badge-success'>12.19.2021 18:43:32</span>
									<span class='badge badge-danger'>12.19.2021 18:43:32</span>
									<span class='badge badge-default'>0h 0m 0s+65ms</span>
								</div>
								<div class="m-t-10 m-l-5">
									
								</div>
							</div>
						</div>
<div class="detail-body mt-4">                                              
<table class="table table-sm">
	<thead><tr>
		<th class="status-col">Status</th>
		<th class="timestamp-col">Timestamp</th>
		<th class="details-col">Details</th>
	</tr></thead>
	<tbody>
			<tr class="event-row">
				<td><i class="fa fa-check text-pass"></i></td>
				<td>6:43:32 PM</td>
				<td>
						Test Passed
				</td>
			</tr>
	</tbody>
</table>
</div>
					</div>
				</li>
				<li class="test-item"  status="pass" test-id="3"
					author=""
					tag=""
					device="">
					<div class="status-avatar pass-bg">
						<i class="fa fa-check text-white"></i>
					</div>
					<div class="open-test">
						<div class="test-detail">
							<p class="name">shouldAnswerWithTrue</p>
							<p class="duration text-sm">0h 0m 0s+1ms</p>
							<span class="datetime">18:43:32 PM</span>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="detail-head">
							<div class="p-v-10 d-inline-block">
								<div class="info">
									<h5 class="test-status text-pass">shouldAnswerWithTrue</h5>
									<span class='badge badge-success'>12.19.2021 18:43:32</span>
									<span class='badge badge-danger'>12.19.2021 18:43:32</span>
									<span class='badge badge-default'>0h 0m 0s+1ms</span>
								</div>
								<div class="m-t-10 m-l-5">
									
								</div>
							</div>
						</div>
<div class="detail-body mt-4">                                              
<table class="table table-sm">
	<thead><tr>
		<th class="status-col">Status</th>
		<th class="timestamp-col">Timestamp</th>
		<th class="details-col">Details</th>
	</tr></thead>
	<tbody>
			<tr class="event-row">
				<td><i class="fa fa-check text-pass"></i></td>
				<td>6:43:32 PM</td>
				<td>
						Test Passed
				</td>
			</tr>
	</tbody>
</table>
</div>
					</div>
				</li>
				<li class="test-item"  status="pass" test-id="4"
					author=""
					tag=""
					device="">
					<div class="status-avatar pass-bg">
						<i class="fa fa-check text-white"></i>
					</div>
					<div class="open-test">
						<div class="test-detail">
							<p class="name">validateAppNavBar</p>
							<p class="duration text-sm">0h 0m 0s+51ms</p>
							<span class="datetime">18:43:32 PM</span>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="detail-head">
							<div class="p-v-10 d-inline-block">
								<div class="info">
									<h5 class="test-status text-pass">validateAppNavBar</h5>
									<span class='badge badge-success'>12.19.2021 18:43:32</span>
									<span class='badge badge-danger'>12.19.2021 18:43:32</span>
									<span class='badge badge-default'>0h 0m 0s+51ms</span>
								</div>
								<div class="m-t-10 m-l-5">
									
								</div>
							</div>
						</div>
<div class="detail-body mt-4">                                              
<table class="table table-sm">
	<thead><tr>
		<th class="status-col">Status</th>
		<th class="timestamp-col">Timestamp</th>
		<th class="details-col">Details</th>
	</tr></thead>
	<tbody>
			<tr class="event-row">
				<td><i class="fa fa-check text-pass"></i></td>
				<td>6:43:32 PM</td>
				<td>
						Test Passed
				</td>
			</tr>
	</tbody>
</table>
</div>
					</div>
				</li>
				<li class="test-item"  status="fail" test-id="5"
					author=""
					tag=""
					device="">
					<div class="status-avatar fail-bg">
						<i class="fa fa-times text-white"></i>
					</div>
					<div class="open-test">
						<div class="test-detail">
							<p class="name">basePageNavigation</p>
							<p class="duration text-sm">0h 0m 52s+760ms</p>
							<span class="datetime">18:43:32 PM</span>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="detail-head">
							<div class="p-v-10 d-inline-block">
								<div class="info">
									<h5 class="test-status text-fail">basePageNavigation</h5>
									<span class='badge badge-success'>12.19.2021 18:43:32</span>
									<span class='badge badge-danger'>12.19.2021 18:44:25</span>
									<span class='badge badge-default'>0h 0m 52s+760ms</span>
								</div>
								<div class="m-t-10 m-l-5">
									
								</div>
							</div>
						</div>
<div class="detail-body mt-4">                                              
<table class="table table-sm">
	<thead><tr>
		<th class="status-col">Status</th>
		<th class="timestamp-col">Timestamp</th>
		<th class="details-col">Details</th>
	</tr></thead>
	<tbody>
			<tr class="event-row">
				<td><i class="fa fa-times text-fail"></i></td>
				<td>6:44:25 PM</td>
				<td>
						<textarea disabled class="code-block">org.openqa.selenium.NoSuchElementException: no such element: Unable to locate element: {"method":"xpath","selector":"//*[@id="sizeButtonsContainer"]/div[2]/div/div/button"}
  (Session info: chrome=96.0.4664.110)
For documentation on this error, please visit: https://selenium.dev/exceptions/#no_such_element
Build info: version: '4.1.0', revision: '87802e897b'
System info: host: 'DESKTOP-896EMQ6', ip: '192.168.56.1', os.name: 'Windows 10', os.arch: 'amd64', os.version: '10.0', java.version: '16.0.2'
Driver info: org.openqa.selenium.chrome.ChromeDriver
Command: [f68648b290b31cb316f7fc3497089fdb, findElement {using=xpath, value=//*[@id="sizeButtonsContainer"]/div[2]/div/div/button}]
Capabilities {acceptInsecureCerts: false, browserName: chrome, browserVersion: 96.0.4664.110, chrome: {chromedriverVersion: 96.0.4664.45 (76e4c1bb2ab46..., userDataDir: C:\Users\COMPRO~1\AppData\L...}, goog:chromeOptions: {debuggerAddress: localhost:50361}, javascriptEnabled: true, networkConnectionEnabled: false, pageLoadStrategy: normal, platform: WINDOWS, platformName: WINDOWS, proxy: Proxy(), se:cdp: ws://localhost:50361/devtoo..., se:cdpVersion: 96.0.4664.110, setWindowRect: true, strictFileInteractability: false, timeouts: {implicit: 0, pageLoad: 300000, script: 30000}, unhandledPromptBehavior: dismiss and notify, webauthn:extension:credBlob: true, webauthn:extension:largeBlob: true, webauthn:virtualAuthenticators: true}
Session ID: f68648b290b31cb316f7fc3497089fdb
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at java.base/jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:78)
	at java.base/jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.base/java.lang.reflect.Constructor.newInstanceWithCaller(Constructor.java:499)
	at java.base/java.lang.reflect.Constructor.newInstance(Constructor.java:480)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.createException(W3CHttpResponseCodec.java:200)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:133)
	at org.openqa.selenium.remote.codec.w3c.W3CHttpResponseCodec.decode(W3CHttpResponseCodec.java:53)
	at org.openqa.selenium.remote.HttpCommandExecutor.execute(HttpCommandExecutor.java:184)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.invokeExecute(DriverCommandExecutor.java:164)
	at org.openqa.selenium.remote.service.DriverCommandExecutor.execute(DriverCommandExecutor.java:139)
	at org.openqa.selenium.remote.RemoteWebDriver.execute(RemoteWebDriver.java:559)
	at org.openqa.selenium.remote.ElementLocation$ElementFinder$2.findElement(ElementLocation.java:162)
	at org.openqa.selenium.remote.ElementLocation.findElement(ElementLocation.java:60)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:383)
	at org.openqa.selenium.remote.RemoteWebDriver.findElement(RemoteWebDriver.java:375)
	at pageObjects.CartItem.getSize(CartItem.java:25)
	at framwork.scenario6.HomePage.basePageNavigation(HomePage.java:70)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:78)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:567)
	at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:133)
	at org.testng.internal.TestInvoker.invokeMethod(TestInvoker.java:598)
	at org.testng.internal.TestInvoker.invokeTestMethod(TestInvoker.java:173)
	at org.testng.internal.MethodRunner.runInSequence(MethodRunner.java:46)
	at org.testng.internal.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:824)
	at org.testng.internal.TestInvoker.invokeTestMethods(TestInvoker.java:146)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:794)
	at org.testng.TestRunner.run(TestRunner.java:596)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:377)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:371)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:332)
	at org.testng.SuiteRunner.run(SuiteRunner.java:276)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:53)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:96)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1212)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1134)
	at org.testng.TestNG.runSuites(TestNG.java:1063)
	at org.testng.TestNG.run(TestNG.java:1031)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</textarea>
				</td>
			</tr>
			<tr class="event-row">
				<td><i class="fa fa-times text-fail"></i></td>
				<td>6:44:25 PM</td>
				<td>
						<textarea disabled class="code-block">java.lang.NullPointerException: Cannot invoke "org.openqa.selenium.TakesScreenshot.getScreenshotAs(org.openqa.selenium.OutputType)" because "ts" is null
	at resources.base.getScreenShotPath(base.java:66)
	at framwork.scenario6.Listeners.onTestFailure(Listeners.java:47)
	at org.testng.internal.TestListenerHelper.runTestListeners(TestListenerHelper.java:96)
	at org.testng.internal.TestInvoker.runTestResultListener(TestInvoker.java:219)
	at org.testng.internal.TestInvoker.invokeMethod(TestInvoker.java:656)
	at org.testng.internal.TestInvoker.invokeTestMethod(TestInvoker.java:173)
	at org.testng.internal.MethodRunner.runInSequence(MethodRunner.java:46)
	at org.testng.internal.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:824)
	at org.testng.internal.TestInvoker.invokeTestMethods(TestInvoker.java:146)
	at org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)
	at org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:128)
	at java.base/java.util.ArrayList.forEach(ArrayList.java:1511)
	at org.testng.TestRunner.privateRun(TestRunner.java:794)
	at org.testng.TestRunner.run(TestRunner.java:596)
	at org.testng.SuiteRunner.runTest(SuiteRunner.java:377)
	at org.testng.SuiteRunner.runSequentially(SuiteRunner.java:371)
	at org.testng.SuiteRunner.privateRun(SuiteRunner.java:332)
	at org.testng.SuiteRunner.run(SuiteRunner.java:276)
	at org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:53)
	at org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:96)
	at org.testng.TestNG.runSuitesSequentially(TestNG.java:1212)
	at org.testng.TestNG.runSuitesLocally(TestNG.java:1134)
	at org.testng.TestNG.runSuites(TestNG.java:1063)
	at org.testng.TestNG.run(TestNG.java:1031)
	at org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)
	at org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)
	at org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)
</textarea>
				</td>
			</tr>
	</tbody>
</table>
</div>
					</div>
				</li>
			</ul>
		</div>
	</div>
	<div class="test-content scrollable">
		<div class="test-content-tools">
			<ul>
				<li>
					<a class="back-to-test" href="javascript:void(0)">
					<i class="fa fa-arrow-left"></i>
					</a>
				</li>
			</ul>
		</div>
		<div class="test-content-detail">
			<div class="detail-body"></div>
		</div>
	</div>
</div><div class="test-wrapper row exception-view attributes-view">
	<div class="test-list">
		<div class="test-list-tools">
			<ul class="tools pull-left">
				<li>
					<a href="">
					<span class="font-size-14">Exception</span>
					</a>
				</li>
			</ul>
			<ul class="tools text-right">
				<li>
					<a href="#">
					<span class="badge badge-primary">2</span>
					</a>
				</li>
			</ul>
		</div>
		<div class="test-list-wrapper scrollable">
			<ul class="test-list-item">
				<li class="test-item">
					<div class="open-test">
						<div class="test-detail">
							<p class="name">org.openqa.selenium.NoSuchElementException</p>
							<p class="duration text-sm">1 tests</p>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="info">
							<h4>org.openqa.selenium.NoSuchElementException</h4>
						</div>
						<table class='table table-sm mt-4'>
							<thead>
								<tr>
									<th class="status-col">Status</th>
									<th class="timestamp-col">Timestamp</th>
									<th>TestName</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>
										<div class='status-avatar fail-bg'>
											<i class="fa fa-times text-white"></i>
										</div>
									</td>
									<td>18:43:32 PM</td>
									<td class='linked' test-id='5'>
										basePageNavigation
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</li>
				<li class="test-item">
					<div class="open-test">
						<div class="test-detail">
							<p class="name">java.lang.NullPointerException</p>
							<p class="duration text-sm">1 tests</p>
						</div>
					</div>
					<div class="test-contents d-none">
						<div class="info">
							<h4>java.lang.NullPointerException</h4>
						</div>
						<table class='table table-sm mt-4'>
							<thead>
								<tr>
									<th class="status-col">Status</th>
									<th class="timestamp-col">Timestamp</th>
									<th>TestName</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>
										<div class='status-avatar fail-bg'>
											<i class="fa fa-times text-white"></i>
										</div>
									</td>
									<td>18:43:32 PM</td>
									<td class='linked' test-id='5'>
										basePageNavigation
									</td>
								</tr>
							</tbody>
						</table>
					</div>
				</li>
			</ul>
		</div>
	</div>
	<div class="test-content scrollable">
		<div class="test-content-tools">
			<ul>
				<li>
					<a class="back-to-test" href="javascript:void(0)">
					<i class="fa fa-arrow-left"></i>
					</a>
				</li>
			</ul>
		</div>
		<div class="test-content-detail">
			<div class="detail-body"></div>
		</div>
	</div>
</div>                    <!-- dashboard -->
<div class="container-fluid p-4 dashboard-view">
	<div class="row">
		<div class="col-md-6">
			<div class="card">
				<div class="card-header">
					<h6 class="card-title">Tests</h6>
				</div>
				<div class="card-body">
					<div class="">
						<canvas id='parent-analysis' width='115' height='90'></canvas>
					</div>
				</div>
				<div class="card-footer">
					<div><small data-tooltip='80%'>
						<b>4</b> tests passed
						</small>
					</div>
					<div>
						<small data-tooltip='20%'><b>1</b> tests failed, 
						<b>0</b> skipped, <b data-tooltip='0%'>0</b> others
						</small>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-6">
			<div class="card">
				<div class="card-header">
					<h6 class="card-title">Log events</h6>
				</div>
				<div class="card-body">
					<div class="">
						<canvas id='events-analysis' width='115' height='90'></canvas>
					</div>
				</div>
				<div class="card-footer">
					<div><small data-tooltip='66.667%'><b>4</b> events passed</small></div>
					<div>
						<small data-tooltip='33.333%'><b>2</b> events failed, 
						<b data-tooltip='0%'>0</b> others
						</small>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-3">
			<div class="card">
				<div class="card-body box-height-150">
					<div class="media justify-content-between">
						<div class="card-header">
							<h6 class="card-title">Tests</h6>
							<h2 class="font-size-28 font-weight-light mt-3">5</h2>
							<span class="text-semibold text-success font-size-15">
							<i class="ti-arrow-up font-size-11"></i> 
							<span>80.00%</span>
							</span>
						</div>
						<div class="align-self-end">
							<i class="fa fa-align-left font-size-70 opacity-01"></i>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-3">
			<div class="card">
				<div class="card-body box-height-150">
					<div class="media justify-content-between">
						<div class="card-header">
							<h6 class="card-title">Start</h6>
							<h4 class="font-weight-light mt-4">Dec 19, 2021 06:43:05 PM</h4>
							<span class="text-semibold text-success font-size-15">
						</div>
						<div class="align-self-end">
							<i class="fa fa-clock-o font-size-70 text-success opacity-01"></i>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="col-md-3">
			<div class="card">
				<div class="card-body box-height-150">
					<div class="media justify-content-between">
						<div class="card-header">
							<h6 class="card-title">Duration</h6>
							<h4 class="font-weight-light mt-4">0h 1m 22s+623ms</h4>
							<span class="text-semibold font-size-15">
						</div>
						<div class="align-self-end">
							<i class="fa fa-clock-o font-size-70 opacity-01"></i>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-12">
			<div class="card">
				<div class="card-header">
					<h6 class="card-title">Timeline</h6>
				</div>
				<div class="card-body">
					<div class="">
						<canvas id="timeline" height="120"></canvas>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="card">
				<div class="card-header">
					<h6 class="card-title">Environment</h6>
				</div>
				<div class="table-overflow">
					<table class="table table-sm">
						<thead>
							<tr class="bg-gray">
								<th>Name</th>
								<th>Value</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>Tester</td>
								<td>Pritam K</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<script>
	var statusGroup = {
	    parentCount: 5,
		passParent: 4,
		failParent: 1,
		fatalParent: 0,
		errorParent: 0,
		warningParent: 0,
		skipParent: 0,
		exceptionsParent: 1,
		childCount: 0,
		passChild: 0,
		failChild: 0,
		fatalChild: 0,
		errorChild: 0,
		warningChild: 0,
		skipChild: 0,
		infoChild: 0,
		debugChild: 0,
		exceptionsChild: 0,
		grandChildCount: 0,
		passGrandChild: 0,
		failGrandChild: 0,
		fatalGrandChild: 0,
		errorGrandChild: 0,
		warningGrandChild: 0,
		skipGrandChild: 0,
		infoGrandChild: 0,
		debugGrandChild: 0,
		exceptionsGrandChild: 0,
		eventsCount: 6,
		passEvents: 4,
		failEvents: 2,
		fatalEvents: 0,
		errorEvents: 0,
		warningEvents: 0,
		skipEvents: 0,
		infoEvents: 0,
		debugEvents: 0,
		exceptionsEvents: 0
	};
</script>
<script>
	var timeline = {
	        "initialize":2.891,"validateAppTitle":0.065,"shouldAnswerWithTrue":0.001,"validateAppNavBar":0.051,"basePageNavigation":52.76
	};
</script>
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/gh/extent-framework/extent-github-cdn@b00a2d0486596e73dd7326beacf352c639623a0e/spark/js/spark-script.js"></script>
<script type="text/javascript">


</script></body>
</html>